
#include "klinpopupview.h"
#include "settings.h"

#include <klocale.h>
#include <ktextedit.h>
#include <qlabel.h>

KLinPopupView::KLinPopupView(QWidget *parent)
    : KLinPopupview_base(parent)
{
}

KLinPopupView::~KLinPopupView()
{
}

void KLinPopupView::displayNewMessage(const QString &sender,const QString &time, const QString &message, int paramTimeFormat)
{
    QString tmpLocaleTime;

    if (!time.isEmpty()) {
        QDateTime tmpDateTime = QDateTime::fromString(time, Qt::ISODate);
        switch (paramTimeFormat)
        {
            case 0:
                tmpLocaleTime = KGlobal::locale()->formatDateTime(tmpDateTime, true, true);
                break;
            case 1:
                tmpLocaleTime = KGlobal::locale()->formatTime(tmpDateTime.time(), true);
                break;
            case 2:
                tmpLocaleTime = KGlobal::locale()->formatDate(tmpDateTime.date(), true);
                break;
            default:
                break;
        }
    } else {
        tmpLocaleTime = "";
    }

    lblFromValue->setText(sender);
    lblTimeValue->setText(tmpLocaleTime);
    message_field->setText(message);
}

#include "klinpopupview.moc"

